<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
	  xmlns:shop="http://typo3.org/ns/CodingMs/Shop/ViewHelpers"
	  data-namespace-typo3-fluid="true">

	<f:section name="Default">

		<f:if condition="{f:count(subject: product.imagesNonPreview)} && {shop:isEnabledField(product: product, attribute: 'images')}">
			<div class="{settings.detail.css.class.images.wrapperOuter}">
				<div id="product-images" class="{settings.detail.css.class.images.wrapper}" data-bs-ride="carousel">
					<f:if condition="{f:count(subject: product.imagesNonPreview)} > 1">
						<div class="{settings.detail.css.class.images.indicator.wrapper}">
							<f:for each="{product.imagesNonPreview}" as="image" iteration="itemIteration">
								<f:if condition="{itemIteration.isFirst}">
									<f:then>
										<button type="button"
												data-bs-target="#product-images"
												data-bs-slide-to="{itemIteration.index}"
												class="{settings.detail.css.class.images.indicator.item} {settings.detail.css.class.images.indicator.active}"
												aria-current="true"
												aria-label="Slide {itemIteration.cycle}"></button>
									</f:then>
									<f:else>
										<button type="button"
												data-bs-target="#product-images"
												data-bs-slide-to="{itemIteration.index}"
												class="{settings.detail.css.class.images.indicator.item}"
												aria-label="Slide {itemIteration.cycle}"></button>
									</f:else>
								</f:if>
							</f:for>
						</div>
					</f:if>
					<div class="{settings.detail.css.class.images.items.wrapper}">
						<f:for each="{product.imagesNonPreview}" as="image" iteration="itemIteration">
							<f:variable name="imageUri"><f:uri.image src="{image.uid}"
										maxWidth="{settings.detail.image.width}"
										maxHeight="{settings.detail.image.height}"
										treatIdAsReference="1"
										cropVariant="detail-view" /></f:variable>
							<f:variable name="imageClass" value="{settings.detail.css.class.images.items.item.wrapper}" />
							<f:if condition="{itemIteration.isFirst}">
								<f:variable name="imageClass" value="{imageClass} active" />
							</f:if>
							<div class="{imageClass}">
								<img src="{imageUri}"
									 class="{settings.detail.css.class.images.items.item.image}"
									 alt="{image.alternative}">
								<f:if condition="{image.title} || {image.description}">
									<div class="{settings.detail.css.class.images.items.item.captionWrapper}">
										<f:if condition="{image.title}">
											<h5 class="{settings.detail.css.class.images.items.item.captionTitle}">
												{image.title}
											</h5>
										</f:if>
										<f:if condition="{image.description}">
											<p class="{settings.detail.css.class.images.items.item.captionDescription}">
												{image.description}
											</p>
										</f:if>
									</div>
								</f:if>
							</div>
						</f:for>
					</div>
					<f:if condition="{f:count(subject: product.imagesNonPreview)} > 1">
						<button class="{settings.detail.css.class.images.control.prev.button}" type="button" data-bs-target="#product-images" data-bs-slide="prev">
							{settings.detail.css.class.images.control.prev.icon->f:format.raw()}
							{settings.detail.css.class.images.control.prev.label->f:format.raw()}
						</button>
						<button class="{settings.detail.css.class.images.control.next.button}" type="button" data-bs-target="#product-images" data-bs-slide="next">
							{settings.detail.css.class.images.control.next.icon->f:format.raw()}
							{settings.detail.css.class.images.control.next.label->f:format.raw()}
						</button>
					</f:if>
				</div>
			</div>
		</f:if>

	</f:section>

</html>
